@font-face {
    font-family: "Roboto";
    src: url("fonts/Roboto-Regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: "Roboto";
    src: url("fonts/Roboto-Bold.woff2") format("woff2");
    font-weight: 800;
    font-style: normal;
}
@font-face {
    font-family: "Roboto";
    src: url("fonts/Roboto-SemiBoldItalic.woff2") format("woff2");
    font-weight: 600;
    font-style: italic;
}

/* Zet box-sizing voor alle elementen op “border-box”  */
*, *::before, *::after {
    box-sizing: border-box;
}

/* Stel een font en default/fallback font in op het :root element */
:root {
    font-family: "Roboto", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --blue: oklch(0.6719 0.1413 234.64);
    --text: oklch(0.99 0.003 325);
    --red: oklch(0.45 0.32 40);
    --wit: oklch(0.99 0.003 325);
    --zwart: oklch(0 0 0);
    --grijs: oklch(0.867 0 89.876);
    --blauw: oklch(0.4504 0.128453 250.28);
    --primary: oklch(0.25 0.01 325);
    background-color: oklch(0.867 0 89.876);
}

/* Zet de body margin op 0 */
body {
    margin: 0;
}

.zwart {
    background-color: var(--zwart);
    color: var(--wit);
}

.wit {
    background-color: var(--wit);
    color: var(--zwart);
}

.blauw h1, .blauw h2, .blauw h3, .blauw h4, .blauw h5, .blauw h6, .blauw p {
    color: var(--wit);
}

h1, h2, h3, h4, h5, h6 {
    color: var(--blauw);
}

/* Maak een .container class */
.container {
    max-width: 80rem;
    margin-inline: auto;
    /*padding-inline: 1rem;*/
    background-color: var(--wit);

    .footer {
        background-color: var(--blauw);
        padding: 1rem;
        color:var(--wit);
    }
}

main.container {
    background-color: var(--wit);
}


header {

    nav a {
        color: var(--text);
        background-color: var(--blauw);
        transition: color .3s ease-in-out, background-color .3s ease-in-out .2s, border-radius .2s linear;
        padding: 1.5rem;
        text-decoration: none;

        &:hover,
        &:focus-visible {
            color: var(--blauw);
            background-color: var(--text);
        }
    }
.headertitel{
    font-size: 2em;
    margin: 0;
    padding-inline-start: 1rem;
}
}

#nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;

    & nav li:first-child a {

    }
}
.row.mijninfo {
    justify-content: flex-start;
}
.row {
    display: flex;
    gap: 2rem;
    background-color: var(--wit);
    justify-content: space-between;
&:not(.reflectie){
    flex-wrap: wrap;
}
    > div {
        padding: 1rem;
    }
    div.labodiv{
        flex: 1 1 45%;
        h1{
            margin-block-start: 0;
        }
    }

    .navdiv {
        padding-inline-end: 0;
    }
    .headerdiv{
        padding-block: 0;
        padding-inline-start: 0;
        display: flex;
        align-items: center;
    }

}

.wit {
    background-color: var(--wit);
    padding: 1rem;
}

.contact{
    display: flex;
}

.blauw {
    background-color: var(--blauw);
    padding: 1rem;
}

.mylinks {
    background-color: var(--blauw);
    text-align: center;
    padding: 1rem;

    > a {
        padding: inherit;
    }
}

.tekststijl{
    max-width: 25em;
}
.cards {
    display: flex;
    /*align-items: flex-end;*/
    gap: 2rem;
    margin: 0;
    padding: 0;
    list-style: none;
    flex-wrap: wrap;
    flex-direction: row;
    background-color: var(--wit);
    /*justify-content: space-between;*/
    /*flex-basis: 80rem;*/


    li {
        overflow: hidden;
        display: flex;
        flex-direction: column;
        position: relative;
        margin: 0;
        padding: 0;
        text-align: left;
        box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
        flex-basis: 24rem;
        max-width: 24rem;
        border-radius: 10px;
        /*flex: 1 1 calc(33.333% - 2rem);*/
        /*max-width: calc(33.333% - 2rem);*/
        background-color: oklch(1 0 89.876);


        .content {
            display: flex;
            flex-direction: inherit;
            justify-content: inherit;
            align-items: flex-start;
            padding-inline: 1rem;
            padding-block-end: 1rem;


            a:not(.overlay-link) {
                z-index: 1;
            }


            .overlay-link {
                position: absolute;
                inset: 0;

                text-indent: 100%;
                white-space: nowrap;
                overflow: hidden;
            }
        }

        img {
            order: -1;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;

        }
    }

}


.home {
    display: flex;
    align-items: flex-end;
    gap: 2rem;
    margin: 0;
    padding: 0;
    list-style: none;
    flex-wrap: wrap;
    flex-direction: row;
    background-color: var(--wit);
    justify-content: space-evenly;
    /*flex-basis: 80rem;*/


    li {
        overflow: hidden;
        display: flex;
        flex-direction: column;
        position: relative;
        margin: 0;
        padding: 0;
        text-align: left;
        box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
        flex-basis: 18rem;
        max-width: 18rem;
        border-radius: 10px;
        /*flex: 1 1 calc(33.333% - 2rem);*/
        /*max-width: calc(33.333% - 2rem);*/
        background-color: oklch(1 0 89.876);


        .content {
            display: flex;
            flex-direction: inherit;
            justify-content: inherit;
            align-items: flex-start;
            padding-inline: 1rem;
            padding-block-end: 1rem;


            a:not(.overlay-link) {
                z-index: 1;
            }


            .overlay-link {
                position: absolute;
                inset: 0;

                text-indent: 100%;
                white-space: nowrap;
                overflow: hidden;
            }
        }

        img {
            order: -1;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;

        }
    }

}

.labodiv img{
    height: auto;
    display: block;
}

@media (min-width: 320px) {
    .cards {
        color: var(--zwart);
    }

}

@media (min-width: 481px) {
    .labodiv img{
        max-width: 400px;
    }
}

@media (max-width: 768px) {
    .row.reflectie{
        flex-direction: column
    }
}

@media (max-width: 480px) {
    .Horizontaal {
        flex-direction: column;
        gap: 10px;
    }

    .Horizontaal li {
        width: 100%;
    }

    .Horizontaal a {
        display: block;
        padding: 15px 20px;
    }
    .labodiv img{
        max-width: 320px;
    }
}

.cards li {
    position: relative;
    overflow: hidden;

    .overlayeffect {
        position: absolute;
        top: 115%;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 0;
        background-color: oklch(0.6719 0.1413 234.64 / 50%);
        border-radius: 50%;
        transition: width 0.6s ease-in-out, height 0.6s ease-in-out;
        pointer-events: none;
        z-index: 2;
    }

    &:hover .overlayeffect {
        width: 1000%;
        height: 1000%;
        transform: translateX(-50%) translateY(-100%);

    }
}

.home li{
    position: relative;
    overflow: hidden;

    .overlayeffect {
        position: absolute;
        top: 115%;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 0;
        background-color: oklch(0.6719 0.1413 234.64 / 50%);
        border-radius: 50%;
        transition: width 0.6s ease-in-out, height 0.6s ease-in-out;
        pointer-events: none;
        z-index: 2;
    }

    &:hover .overlayeffect {
        width: 1000%;
        height: 1000%;
        transform: translateX(-50%) translateY(-100%);

    }
}

p {
    font-size: 1.125rem;

    + p {
        margin-block-start: 1.5rem;
    }
}

h1, h2, h3, h4, h5, h6 {
    margin-block-start: 3rem;
}

h1 + p,
h2 + p,
h3 + p,
h4 + p,
h5 + p,
h6 + p {
    margin-block-start: 0.5rem;
}

h2 + h3 {
    margin-block-start: 1.5rem;
}

h1 {
    font-size: calc(16px * 1.5 * 1.5 * 1.5);
}

h2 {
    font-size: calc(16px * 1.5 * 1.5);
}

h3 {
    font-size: calc(16px * 1.5);
}

.error{
    color: oklch(0.628 0.258 29.234);
    display: block;
}

form{
    div {
        padding-block-end: 0.5rem;
    }
}